Package org.spongepowered.asm.mixin.injection.struct

## Class InvalidMemberDescriptorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.spongepowered.asm.mixin.throwables.MixinException
        - - org.spongepowered.asm.mixin.injection.selectors.InvalidSelectorException
          - - org.spongepowered.asm.mixin.injection.struct.InvalidMemberDescriptorException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class InvalidMemberDescriptorException
      extends InvalidSelectorException

  Thrown when a `MemberInfo` fails basic syntax validation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidMemberDescriptorException​(java.lang.String input, java.lang.String message)` |
    `InvalidMemberDescriptorException​(java.lang.String input, java.lang.String message, java.lang.Throwable cause)` |
    `InvalidMemberDescriptorException​(java.lang.String input, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getInput()` |

    - ### Methods inherited from class org.spongepowered.asm.mixin.throwables.MixinException

      `getMessage, prepend`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidMemberDescriptorException

          public InvalidMemberDescriptorException​(java.lang.String input,
                                                  java.lang.String message)

    - #### InvalidMemberDescriptorException

          public InvalidMemberDescriptorException​(java.lang.String input,
                                                  java.lang.Throwable cause)

    - #### InvalidMemberDescriptorException

          public InvalidMemberDescriptorException​(java.lang.String input,
                                                  java.lang.String message,
                                                  java.lang.Throwable cause)

  - ### Method Detail

    - #### getInput

          public java.lang.String getInput()